{ pkgs ? import <nixpkgs> {},
}:

with pkgs;
let
  jobs = {
    batman-status = rustPlatform.buildRustPackage {
      name = "batman-status";
      src = <pile/batman-status>;
      cargoSha256 = "04ibh8d5bjx7m634rq3l1m321glzkrgffd1i6nygi4f8ixzrdaqh";
    };
    ledball = rustPlatform.buildRustPackage {
      name = "ledball";
      src = <pile/ledball>;
      cargoSha256 = "0inij66xyc4m2qca5ww5l177x6mylih13n08ibaxfpv6ngxbwj2k";
    };
    ledball-globe = rustPlatform.buildRustPackage {
      name = "ledball-globe";
      src = <pile>;
      sourceRoot = "pile/ledball-globe";
      cargoSha256 = "1aq31rh3kzr42i3hc6hg4837mi2l4xxxgrvvpzpy7mz409ajdimj";
    };
    ledball-impacts = rustPlatform.buildRustPackage {
      name = "ledball-impacts";
      src = <pile>;
      sourceRoot = "pile/ledball-impacts";
      cargoSha256 = "0inij66xyc4m2qca5ww5l177x6mylih13n08ibaxfpv6ngxbwj2k";
    };
    ustripe-pulse = rustPlatform.buildRustPackage {
      name = "ustripe-pulse";
      src = <pile/ustripe-pulse>;
      buildInputs = [ libpulseaudio.dev ];
      cargoSha256 = "0j41i3lrfkffkzxjg3i4xdzdw2saqvkma74w4y87kq5bqs4wmszd";
    };
    ustripe-sha = rustPlatform.buildRustPackage {
      name = "ustripe-sha";
      src = <pile/ustripe-sha>;
      cargoSha256 = "0cqd4ch0m03yaqqxjh0a47jk0p6x7rgcrbdkds46g960lhk4vbb6";
    };
    ustripe-twinkling = rustPlatform.buildRustPackage {
      name = "ustripe-twinkling";
      src = <pile/ustripe-twinkling>;
      cargoSha256 = "060l74c6dln3rk2rp0zb4y198rbwz5hg5dz0hjlw7x362h5jmslw";
    };
    ustriped = stdenv.mkDerivation {
      name = "ustriped";
      src = <pile/ustriped>;
      installPhase = ''
        mkdir -p $out/bin
        cp ustriped $out/bin/
      '';
    };
    # Omitted `ustripe-simplex', a node.js project
    # Omitted `pile-top`, unfinished node.js project
    # TODO: rstripee rust-embeddeed project
    # TODO: build openwrt/nixos for rpi
  };
in builtins.mapAttrs (name: lib.hydraJob) jobs
